public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Andrey Grozin" <grozin@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/wxpython/
Date: Sun,  1 Mar 2020 03:41:15 +0000 (UTC)	[thread overview]
Message-ID: <1583034067.ef3e1d11da683c79cf1131e978de1b4d7e288b15.grozin@gentoo> (raw)

commit:     ef3e1d11da683c79cf1131e978de1b4d7e288b15
Author:     Andrey Grozin <grozin <AT> gentoo <DOT> org>
AuthorDate: Sun Mar  1 03:41:07 2020 +0000
Commit:     Andrey Grozin <grozin <AT> gentoo <DOT> org>
CommitDate: Sun Mar  1 03:41:07 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ef3e1d11

dev-python/wxpython: bump to 4.0.7

Package-Manager: Portage-2.3.89, Repoman-2.3.20
Signed-off-by: Andrey Grozin <grozin <AT> gentoo.org>

 dev-python/wxpython/Manifest              |  1 +
 dev-python/wxpython/wxpython-4.0.7.ebuild | 88 +++++++++++++++++++++++++++++++
 2 files changed, 89 insertions(+)

diff --git a/dev-python/wxpython/Manifest b/dev-python/wxpython/Manifest
index 1870b55b866..e88e0da4316 100644
--- a/dev-python/wxpython/Manifest
+++ b/dev-python/wxpython/Manifest
@@ -1,3 +1,4 @@
 DIST wxPython-4.0.6.tar.gz 68815031 BLAKE2B 49367f5d0867c28893c43d54c4ad6001807bdc95d81327082e3c88fd796e5e2daafcf6b70252828bdcfaaec8b42ba64e881575d209eb4f61a85f58ebd79e8ae4 SHA512 bfe799e1a0987cb57f2e31199cdb522471aaa08bb3b642fdf4130f4219b81487d4b6252f7a8afd3af7cdaeef2e992cecfc581e97d8b42307a4e0a8c9009db301
+DIST wxPython-4.0.7.post2.tar.gz 68891167 BLAKE2B 77eb69f7a59e5be81c3d17b64c76e09a43efc9226bd87fd058483185871a95ce05dbb65614ec8b003edf52cbe1cb1a115856c0d622170c51ecacbb952106fe22 SHA512 7af89db90a0f7e6b644d61c1ede01ec36a2c295e46d44692ae9dbc4af923310c1b498a52f45b02a89e8917d844c6abe67e5f3fdd9c1d51da3312899319a349e4
 DIST wxPython-demo-3.0.2.0.tar.bz2 3992212 BLAKE2B 9defe133e3863be5ae07b7adb4bcb94688487e9dd9f5ab1f768d2f5942f30d05ff678f1ba74241d9bafde3584e3c68ffeae4978117aaa300e23165140e6a6d44 SHA512 361ecaa7dfe5bae0757e04215c564370eaf8e5260ead45007f9d70439c15701725c3cbcd76691a5191258bef24fd200ebd61347a3fd920d888137bfc98a16702
 DIST wxPython-src-3.0.2.0.tar.bz2 58304944 BLAKE2B 1144acf2cfa0a18aa2f90aabe81aaeca54d3fe6139818267dbc031accbae38035478a64ec084fe8bb8b89126fb70ff96e68981026df8ad3fc82e81c6d0e22d1a SHA512 a3798e89ff19344253aac7d771971e519f7fa9723e82bd97e98f16fd7f1572e513170b02295b872dae0b1ae3fa95efc4ef34d078045b839694b4fdad3a27c9e4

diff --git a/dev-python/wxpython/wxpython-4.0.7.ebuild b/dev-python/wxpython/wxpython-4.0.7.ebuild
new file mode 100644
index 00000000000..d4171de07d4
--- /dev/null
+++ b/dev-python/wxpython/wxpython-4.0.7.ebuild
@@ -0,0 +1,88 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{6,7,8} )
+WX_GTK_VER="3.0-gtk3"
+
+inherit distutils-r1 multiprocessing virtualx wxwidgets
+
+MY_PN="wxPython"
+MY_PV="${PV}.post2"
+
+DESCRIPTION="A blending of the wxWindows C++ class library with Python"
+HOMEPAGE="http://www.wxpython.org/"
+SRC_URI="mirror://pypi/${P:0:1}/${MY_PN}/${MY_PN}-${MY_PV}.tar.gz"
+
+LICENSE="wxWinLL-3"
+SLOT="4.0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ppc ~ppc64 ~sh ~sparc ~x86"
+IUSE="test webkit"
+RESTRICT="!test? ( test )"
+
+# wxPython doesn't seem to be able to optionally disable features. webkit is
+# optionally patched out because it's so huge, but other elements are not,
+# which makes us have to require all features from wxGTK
+RDEPEND="
+	>=x11-libs/wxGTK-3.0.4-r301:${WX_GTK_VER}=[gstreamer,libnotify,opengl,sdl,tiff,webkit?,X]
+	media-libs/libpng:0=
+	media-libs/tiff:0
+	virtual/jpeg:0"
+
+DEPEND="${RDEPEND}
+	app-doc/doxygen
+	dev-python/pathlib2[${PYTHON_USEDEP}]
+	dev-python/setuptools[${PYTHON_USEDEP}]
+	dev-python/six[${PYTHON_USEDEP}]
+	test? (
+		${VIRTUALX_DEPEND}
+		dev-python/appdirs[${PYTHON_USEDEP}]
+		dev-python/numpy[${PYTHON_USEDEP}]
+		dev-python/pillow[${PYTHON_USEDEP}]
+		dev-python/pytest[${PYTHON_USEDEP}]
+	)"
+
+S="${WORKDIR}/${MY_PN}-${MY_PV}"
+
+PATCHES=(
+	"${FILESDIR}/${PN}-4.0.6-skip-broken-tests.patch"
+)
+
+python_prepare_all() {
+	if ! use webkit; then
+		eapply "${FILESDIR}/${PN}-4.0.6-no-webkit.patch"
+		rm unittests/test_webview.py || die
+	fi
+	# Most of these tests disabled below fail because of the virtx/portage
+	# environment, but some fail for unknown reasons.
+	rm unittests/test_uiaction.py \
+		unittests/test_notifmsg.py \
+		unittests/test_mousemanager.py \
+		unittests/test_display.py \
+		unittests/test_pi_import.py \
+		unittests/test_lib_agw_thumbnailctrl.py \
+		unittests/test_sound.py || die
+
+	distutils-r1_python_prepare_all
+}
+
+src_configure() {
+	setup-wxwidgets
+}
+
+python_compile() {
+	DOXYGEN=/usr/bin/doxygen ${PYTHON} build.py dox etg --nodoc || die
+	${PYTHON} build.py build_py \
+		--use_syswx \
+		--no_magic \
+		--jobs=$(makeopts_jobs) \
+		--release || die
+}
+
+python_install() {
+	distutils-r1_python_install --skip-build
+}
+
+python_test() {
+	virtx pytest -vv unittests
+}


             reply	other threads:[~2020-03-01  3:41 UTC|newest]

Thread overview: 73+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2020-03-01  3:41 Andrey Grozin [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-06-23 11:09 [gentoo-commits] repo/gentoo:master commit in: dev-python/wxpython/ David Seifert
2024-06-19 11:37 Michał Górny
2024-06-19  5:24 Arthur Zamarin
2024-06-19  5:24 Arthur Zamarin
2024-06-19  5:24 Arthur Zamarin
2024-06-19  5:24 Arthur Zamarin
2024-06-19  5:24 Arthur Zamarin
2024-06-18  0:12 Sam James
2024-01-04 17:08 Michał Górny
2023-12-29 16:49 Michał Górny
2023-12-16 11:02 Sam James
2023-11-29  8:26 Arthur Zamarin
2023-11-29  8:26 Arthur Zamarin
2023-11-23 16:08 Michał Górny
2023-10-22 10:33 Michał Górny
2023-09-10 19:41 Sam James
2023-05-20  8:43 Michał Górny
2023-05-02 18:52 Arthur Zamarin
2023-05-01  8:46 Arthur Zamarin
2023-05-01  8:46 Arthur Zamarin
2023-05-01  7:34 Arthur Zamarin
2023-05-01  5:24 Sam James
2023-05-01  5:22 Sam James
2023-04-25  0:35 Sam James
2023-04-20 10:36 WANG Xuerui
2023-03-25 17:19 Michał Górny
2022-12-04 17:28 WANG Xuerui
2022-08-04  6:29 Michał Górny
2022-08-04  0:13 Sam James
2022-08-03  7:49 Agostino Sarubbo
2022-08-03  4:38 Arthur Zamarin
2022-08-02 20:27 Sam James
2022-08-02 19:23 Arthur Zamarin
2022-08-02 18:57 Arthur Zamarin
2022-04-18 17:39 Alexey Shvetsov
2021-08-03 11:37 Michał Górny
2021-07-30 15:17 Agostino Sarubbo
2021-07-28 11:28 Marek Szuba
2021-07-26 11:17 Sam James
2021-07-25 20:09 Sam James
2021-07-24 22:17 Sam James
2021-07-24 15:12 Sam James
2021-07-06  9:02 Michał Górny
2021-02-03  7:44 Sven Wegener
2020-12-13  7:23 Sam James
2020-12-13  7:23 Sam James
2020-12-13  4:34 Sam James
2020-12-13  4:32 Sam James
2020-12-13  4:32 Sam James
2020-10-14 10:43 Alexey Shvetsov
2020-09-25 20:22 Michał Górny
2020-09-01  3:10 Sam James
2020-06-02 22:21 Mart Raudsepp
2020-05-11 17:48 Michał Górny
2020-05-10 17:42 Mart Raudsepp
2020-05-04 13:58 Michał Górny
2020-05-04 12:34 Michał Górny
2020-04-15 21:49 Sergei Trofimovich
2020-04-14 17:19 Sergei Trofimovich
2020-02-09 12:24 Mart Raudsepp
2020-01-26 13:33 David Seifert
2019-05-27 23:41 Aaron Bauman
2018-02-03 15:39 Mart Raudsepp
2017-06-27  9:16 Alexis Ballier
2017-05-03  9:26 Michał Górny
2015-11-23  9:25 Agostino Sarubbo
2015-11-08 19:28 Mikle Kolyada
2015-11-05 11:20 Agostino Sarubbo
2015-11-03 19:15 Markus Meier
2015-11-01 13:25 Mikle Kolyada
2015-10-19  9:27 Agostino Sarubbo
2015-10-10  6:39 Jeroen Roovers

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1583034067.ef3e1d11da683c79cf1131e978de1b4d7e288b15.grozin@gentoo \
    --to=grozin@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox